### Hierarchy

- ParentNode
  - Document
  - DocumentFragment
  - Element

## Index

### Properties

- childElementCount
- children
- firstElementChild
- lastElementChild

### Methods

- append
- prepend
- querySelector
- querySelectorAll

## Properties

### childElementCount

childElementCount: number

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10799

### children

children: HTMLCollection

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10803

Returns the child elements.

### firstElementChild

firstElementChild: Element | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10807

Returns the first child that is an element, and null otherwise.

### lastElementChild

lastElementChild: Element | null

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10811

Returns the last child that is an element, and null otherwise.

## Methods

### append

- append(...nodes: (string | Node)[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10818

  Inserts nodes after the last child of node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### prepend

- prepend(...nodes: (string | Node)[]): void

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10825

  Inserts nodes before the first child of node, while replacing strings in nodes with equivalent Text nodes. Throws a "HierarchyRequestError" DOMException if the constraints of the node tree are violated.

  #### Parameters

  - ##### Rest ...nodes: (string | Node)[]

  #### Returns void

### querySelector

- querySelector<K>(selectors: K): HTMLElementTagNameMap[K] | null
- querySelector<K>(selectors: K): SVGElementTagNameMap[K] | null
- querySelector<E>(selectors: string): E | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10830

  Returns the first element that is a descendant of node that matches selectors.

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns HTMLElementTagNameMap[K] | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10831

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns SVGElementTagNameMap[K] | null

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10832

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns E | null

### querySelectorAll

- querySelectorAll<K>(selectors: K): NodeListOf<HTMLElementTagNameMap[K]>
- querySelectorAll<K>(selectors: K): NodeListOf<SVGElementTagNameMap[K]>
- querySelectorAll<E>(selectors: string): NodeListOf<E>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10837

  Returns all element descendants of node that match selectors.

  #### Type parameters

  - #### K: keyof HTMLElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<HTMLElementTagNameMap[K]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10838

  #### Type parameters

  - #### K: keyof SVGElementTagNameMap

  #### Parameters

  - ##### selectors: K

  #### Returns NodeListOf<SVGElementTagNameMap[K]>

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.dom.d.ts:10839

  #### Type parameters

  - #### E: Element

  #### Parameters

  - ##### selectors: string

  #### Returns NodeListOf<E>

Generated using TypeDoc